| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types
boost::locale::collator_base Class Reference
Collation

a base class that includes collation level flags More...

`#include <boost/locale/collator.hpp>`

Inheritance diagram for boost::locale::collator_base:

List of all members.

## Public Types

enum | level_type { primary = 0, secondary = 1, tertiary = 2, quaternary = 3, identical = 4 }

## Detailed Description

a base class that includes collation level flags

## Member Enumeration Documentation

enum boost::locale::collator_base::level_type

Unicode collation level types

Enumerator:

  primary | 1st collation level: base letters
  secondary | 2nd collation level: letters and accents
  tertiary | 3rd collation level: letters, accents and case
  quaternary | 4th collation level: letters, accents, case and punctuation
  identical | identical collation level: include code-point comparison

The documentation for this class was generated from the following file:

- boost/locale/collator.hpp